/*Ces regles permettent d'eliminer les marges et padding indesirables */
*{
    margin: 0;
    padding: 0;
    max-width: 100%; 
    box-sizing: border-box;
}


html, body{
    
    min-height: 100vh;
}

/*Les proprietés body et main permettent de garder le footer en bas et au main d'occuper tout l'espace vide*/
body{
    
    display: flex;
    flex-direction: column;
    height: 100%;
    
}


main{
    
   flex: 1;
}

/*Cette regle permet de modeliser le premier bar de menu*/

header #PremierBar{
    background-color: #4d79ff;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;  
}

/*Cette regle modeliser le container du texte dans le premier bar*/

#TexteMenu{
    
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
   
}

/*Cette regle permet de modeliser le titre du premier bar*/
#TexteMenu h1{
    
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(0.5rem , 2vh, 1.7rem); 
  font-weight: bolder;  
  flex-wrap: wrap;
  text-align: center;
}

/*Cette regle permet de modeliser le paragraphe du premier bar*/
#TexteMenu p{
    
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(0.6rem , 2vh, 1rem); 
  font-weight: normal;  
  flex-wrap: wrap;
  color: whitesmoke;
  max-width: 15rem;
  text-align: center;
  margin-bottom: 1rem;
}

/*Cette regle permet de modeliser l'image du logo dans le premier bar de menu*/
#PremierBar div img{
    
  height: 5rem;
  width: 8rem;
  margin-top: 1rem;
  max-width: auto;
  max-height: auto;

}

/*Cette regle permet la liste des reseaux sociaux dans le premier bar de menu*/
#PremierBar div ul{
    
  display: flex;
  justify-content: space-between;
  list-style-type: none;
  margin-top: 2rem;
  gap: 1rem;
  color: white;
  flex-wrap: wrap;
  font-size: Clamp(0.6rem , 2vh, 1rem); 
  font-family: "Work Sans", sans-serif;
}

/*Cette regle modelise les icones des reseaux sociaux*/
#PremierBar div ul li a{
    
  flex-wrap: wrap;
  font-size: Clamp(0.6rem , 2vh, 1rem); 
  font-family: "Work Sans", sans-serif;
  color: #050e2a;
}


/*==================================================================================*/
/*Deuxieme Partie qui modelise le menu nav*/
/*=================================================================================*/

/*Cette regle permet de styliser le menu*/
header nav ul{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap; 
    background-color: #1a53ff;
    gap: 2rem;
    padding: 2rem;
}

/*Cette regle de styliser la liste de menu*/
header nav ul li{
    
  list-style-type: none;
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(1rem , 2vh, 1rem); 
  font-weight: normal;  
  flex-wrap: wrap;
  color: #050e2a;
  max-width: 15rem;


}

nav ul li {
    position: relative;
    display: inline-block; /* mete meni yo kòt a kòt */
}

nav ul li a {
    display: block;
    padding: 10px 20px;
    text-decoration: none;
    background: #b3c6ff;
}

nav ul li ul {
    display: none; /* kache sous-meni yo */
    position: absolute;
    top: 100%;
    left: 0;
    background: white;
    padding: 0;
    margin: 0;
    border: 1px solid #ccc;
    min-width: 200px;
    z-index: 1000;
}

nav ul li:hover > ul {
    display: block; /* montre sous-meni a lè souri pase */
}

nav ul li ul li {
    display: block;
}

nav ul li ul li a {
    padding: 10px;
    color: black;
}

nav ul li ul li:hover {
    background: #f0f0f0; /* efè hover sou sous-meni */
}

/*=========================================================================================*/
/*Fin du bloc de menu*/
/*=========================================================================================*/

/*=========================================================================================*/
/*Bloc de hero*/
/*=========================================================================================*/
#PartieHero1{
  position: relative; 
  width: 100%;
  height: 26rem;
  justify-content: center;
  display: flex;
  align-items: center;
  
}


#PartieHero1 #image3{
    
    height: 100%;
    width: 100%;
    top : 0;
    left : 0;
    background-image: url(/assets/hero8.jpg);
    display: block;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: absolute;
    z-index: 1;
    
}

#textehero{
    
    position: relative;
    z-index: 2;
    color: rgb(18, 18, 236);
    font-family: "Work Sans", sans-serif;
    font-size: Clamp(2rem , 2vh, 2rem); 
    font-weight: bolder;  
    text-align: center;
    max-width: 50rem;

}

#image3::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(20,10,30,0.3); /* 40% nwa */
    z-index: 1;
}



/*=========================================================================================*/
/*Fin du bloc de hero*/
/*=========================================================================================*/

/*=========================================================================================*/
/*Bloc de partie1*/
/*=========================================================================================*/

#PartieLogiciel
{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    flex-wrap: wrap;
    background-color: #a5b5fd;
    margin-top: 5rem;
    padding: 3rem;
    margin-bottom: 5rem;
}


#PartieLogiciel h2{

  font-family: "Work Sans", sans-serif;
  font-size: Clamp(1.3rem , 2vh, 1rem); 
  font-weight: bold;  
  flex-wrap: wrap;
  color: #050e2a;
  max-width: 40rem;
}


#PartieLogiciel p{

   font-family: "Work Sans", sans-serif;
  font-size: Clamp(1rem , 2vh, 1rem); 
  font-weight: normal;  
  flex-wrap: wrap;
  color: #050e2a;
  max-width: 40rem; 
    
}


#PartieLogiciel button{
    
  background-color: #1a53ff;
  color: white;
  border: none;
  padding: 1rem 2rem;
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(1rem , 2vh, 2.5rem); 
  font-weight: bolder;  
  cursor: pointer;
  border-radius: 5px;
   
}


#PartieLogiciel button a{
    
  color: white;
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(1rem , 2vh, 2.5rem); 
  font-weight: bolder;  
  text-decoration: none;
   
}



/*=========================================================================================*/
/*Fin du bloc de partie1*/
/*=========================================================================================*/



/*=========================================================================================*/
/*Bloc de style du footer*/
/*=========================================================================================*/

/*Ce bloc stylise le logo du footer*/
footer div img{

  height: 15rem;
  width: 100%;
  margin-top: 1rem;
  max-height: 100%;
  max-width: auto;
  background-size: cover;
   display: block; 
}

/*Ce bloc dispose les elements en ligne dans le footer*/
footer #ContainerFoot{
  
  display: flex;
  justify-content: space-around;
  gap: 3rem;
  /*background-color: #1a75ff;*/
  background-color: #000000;
  padding: 3rem;
  flex-wrap: wrap;
   
}

/*Ce bloc stylise le titre h3 du footer*/
footer #ContainerFoot div h3{
  
  font-family: "Work Sans", sans-serif;
  font-size: clamp(1.3rem ,  2vh ,  1.8rem);
  color: white;
  flex-wrap: wrap;
 
}

/*Ce bloc stylise le paragraphe du footer*/
footer #ContainerFoot div p{
  
  font-family: "Work Sans", sans-serif;
  font-size: clamp(1rem ,  2vh ,  1.8rem);
  color: white;
  flex-wrap: wrap;
  max-width: 20rem;
  text-align: left;
  margin: 1rem;
 
}

/*Ce bloc stylise le titre h4 du footer*/
footer #ContainerFoot div h4{
  
  font-family: "Work Sans", sans-serif;
  font-size: clamp(1rem ,  2vh ,  1.8rem);
  color:#3333ff;
  flex-wrap: wrap;
  max-width: 10rem;
  max-width: 25rem;
 
}

/*Ce bloc stylise les liste du footer*/
footer #ContainerFoot div ul{
  
  list-style-type: square;
  margin: 1rem;
  
 
}

/*Ce bloc stylise les elements de la liste du footer*/
footer #ContainerFoot div ul li a{
  
  font-family: "Work Sans", sans-serif;
  font-size: clamp(1rem ,  2vh ,  1.8rem);
  flex-wrap: wrap;
  max-width: 40rem;
  color: #506ec8;
  
}


footer #ContainerFoot div input{
    
  background-color: #1a53ff;
  color: white;
  border: none;
  padding: 1rem 2rem;
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(1rem , 2vh, 2.5rem); 
  font-weight: bolder;  
  cursor: pointer;
  border-radius: 5px;
  align-self: flex-end;
  margin-top: 1rem;
}

footer #ContainerFoot div input{
    
  background-color: #1a53ff;
  color: white;
  border: none;
  padding: 1rem 2rem;
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(1rem , 2vh, 2.5rem); 
  font-weight: bolder;  
  cursor: pointer;
  border-radius: 5px;
  align-self: flex-end;
  margin-top: 1rem;
}

/*=========================================================================================*/
/*Fin de Bloc de style du footer*/
/*=========================================================================================*/